File: TODO.txt

package info (click to toggle)
skimage 0.14.2-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 30,160 kB
  • sloc: python: 42,481; cpp: 2,592; ansic: 2,425; makefile: 216; sh: 207
file content (69 lines) | stat: -rw-r--r-- 3,682 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
Remember to list any API changes below in `doc/source/api_changes.txt`.


Version 0.15
------------
* Finalize ``skimage.future.graph`` API.
* Finalize ``skimage.future.manual_segmentation`` API.
* In ``skimage.util.dtype_limits``, set default behavior of `clip_negative` to `False`.
* In ``skimage.transform.radon``, set default behavior of `circle` to `True`.
* In ``skimage.transform.iradon``, set default behavior of `circle` to `True`.
* In ``skimage.transform.swirl``, set default behavior of `mode` to `reflect`.
* In ``skimage.restoration.denoise_bilateral``, set default behavior of
  `multichannel` to False
* In ``skimage.restoration.denoise_nl_means``, set default behavior of
  `multichannel` to False
* Change the default value of `block_norm` in ``skimage.feature.hog` to L2-Hys,
  update the reference .npy in ``skimage.data`` and `skimage/feature/tests/test_hog.py`.
* Remove deprecated function ``threshold_adaptive`` in
  ``skimage/filters/thresholding.py``.
* In ``skimage.transform.resize``, set default value of ``mode`` to
  ``'reflect'``.
* In ``skimage.transform.rescale``, set default value of ``mode`` to
  ``'reflect'``.
* Remove deprecated ``skimage.util.montage2d`` and corresponding tests.
* In ``skimage.transform.resize`` change default argument from
  ``anti_aliasing=None`` to ``anti_aliasing=True``.
* In ``skimage/restoration/tests/test_denoise.py``, there is an optional
  warning that needs to be made mandatory when we move on from python 2.7

Version 0.16
------------
* In ``skimage.transform.resize``, ``skimage.transform.pyramid_reduce``,
  ``skimage.transform.pyramid_laplacian``,
  ``skimage.transform.pyramid_gaussian``,
  ``skimage.transform.pyramid_expandset``, set default value of
  ``multichannel`` to False
* Remove ``_multichannel_default`` from ``skimage.transform._warps.py``, and no
  longer call it from within the ``resize`` or ``pyramid_*`` transforms.
* Remove checks for the ``multichannel`` deprecation warnings in several tests
  in ``skimage.transform.tests.test_pyramids.py`` and
  ``skimage.transform.tests.test_warps.py``.
* Remove `flatten` for `imread` in ``skimage.io._io.py``.
* Remove `as_grey` for `load` in ``skimage.data.__init__.py``.
* Remove deprecated argument ``visualise`` from function skimage.feature.hog
* Remove deprecated module ``skimage.novice``
* In ``skimage.measure._regionprops``, remove all references to
  ``coordinates=``, ``_xycoordinates``, and ``_use_xy_warning``.
* In ``skimage.measure.moments_central``, remove ``cc`` and ``**kwargs``
  arguments.
* In ``skimage.morphology.remove_small_holes``, remove ``min_size`` argument.

Other
-----
* Remove legacy pretty printing workaround for ``pytest`` in ``conftest.py``
  once minimal required ``numpy`` is set to >= 1.14.0.
* Remove deprecated ``Hxx, Hxy, Hyy`` API of ``hessian_matrix_eigvals`` in
  ``skimage.feature.corner``.
* Remove the conditional warning logic when ``numpy`` is set to >= 1.15.0
  for ``scipy`` and ``pywl`` (``pywavelet``) in ``test_lpi_filter.py`` and
  ``test_denoise.py`` regarding multidimensional indexing.
* Remove the conditional warning logic when ``numpy`` is set to >= 1.15.0
  for sparse matricies (``np.matrix``) used by scipy.sparse in
  ``test_random_walker.py``. Note that there is also a chance ``scipy.sparse``
  moves away from using ``np.matrix`` in a future version too.
* Monitor SimpleITK Pypi releases to find when a 3.7 release comes out.
  Remove version restriction in requirements file when appropriate.
  `https://github.com/SimpleITK/SimpleITK/issues/551`
* Remove the conditional import and function call when ``numpy`` is set
  to > 1.15.x in ``skimage/util/arraycrop.py``.